Đến nội dung


Hình ảnh

Thay đổi bán kính nhiều circle


  • Please log in to reply
5 replies to this topic

#1 amateurday

amateurday

    biết lệnh break

  • Members
  • PipPipPipPip
  • 228 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 31 May 2009 - 10:18 PM

mọi người chỉ cho em lệnh nào trong cad mà thay đổi bán kính của nhiều circle mà không thay đổi vị trí của nó, tức là tâm không đổi
  • 0

#2 Nguyen Hoanh

Nguyen Hoanh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 4105 Bài viết
Điểm đánh giá: 4495 (đỉnh cao)

Đã gửi 31 May 2009 - 10:27 PM

mọi người chỉ cho em lệnh nào trong cad mà thay đổi bán kính của nhiều circle mà không thay đổi vị trí của nó, tức là tâm không đổi

Bạn muốn thay như thế nào? Thay tất cả bằng một bán kính giống nhau?
  • 0

#3 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 31 May 2009 - 10:29 PM

mọi người chỉ cho em lệnh nào trong cad mà thay đổi bán kính của nhiều circle mà không thay đổi vị trí của nó, tức là tâm không đổi

Cách 1 : Dùng Quickselect hoặc filter -> Chọn Circle -> Bấm Ctrol + 1 -> Trong nhãn Geometry -> Chỉnh Radius

Cách 2 : Dùng Lisp
  • 0

#4 amateurday

amateurday

    biết lệnh break

  • Members
  • PipPipPipPip
  • 228 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 31 May 2009 - 10:39 PM

Bạn muốn thay như thế nào? Thay tất cả bằng một bán kính giống nhau?

em muốn thay những circle nào mà mình chọn chứ không phải tất cả, và bán kính thì giống nhau, có hôm em đi in thì thấy thợ in làm thay đổi nhanh lắm, hình như có lệnh gì đó.
  • 0

#5 amateurday

amateurday

    biết lệnh break

  • Members
  • PipPipPipPip
  • 228 Bài viết
Điểm đánh giá: 4 (bình thường)

Đã gửi 31 May 2009 - 10:45 PM

Cách 1 : Dùng Quickselect hoặc filter -> Chọn Circle -> Bấm Ctrol + 1 -> Trong nhãn Geometry -> Chỉnh Radius

Cách 2 : Dùng Lisp


nếu có lisp thì cũng hay bác TUE_NV à
  • 0

#6 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 31 May 2009 - 10:45 PM

em muốn thay những circle nào mà mình chọn chứ không phải tất cả, và bán kính thì giống nhau, có hôm em đi in thì thấy thợ in làm thay đổi nhanh lắm, hình như có lệnh gì đó.

Sử dụng Quick Select hoặc filter và kết hợp Ctrol + 1 -> Trong nhãn Geometry -> Chỉnh Radius

Hai lệnh Quick Select và filter bạn có thể tìm trên diễn đàn. Cái này đã có nói rồi, nhiều lắm

Còn bạn muốn sử dụng Lisp thì đây :

(defun c:DOIR(/ ci R n i ent)
(prompt "\n Moi ban chon CIRCLE")
(setq ci (ssget '((0 . "CIRCLE"))))
(setq R (getdist "\n Ban kinh ban muon doi thanh R= ")
n (sslength ci) i 0)
(while (< i n)
(setq ent (entget(ssname ci i)))

(setq ent (subst (cons 40 R) (assoc 40 ent) ent))

(entmod ent)

(setq i (1+ i))
)
(princ)
)
:s_big:
  • 3